

package PresentationLayers;

import DataAccessLayers.GiaoVienDAL;
import java.awt.Graphics;
import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.util.Calendar;
import java.util.Vector;
import javax.swing.ImageIcon;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.filechooser.FileNameExtensionFilter;
import javax.swing.table.DefaultTableModel;


public class FrmXuatDSGV extends javax.swing.JPanel {
    private FrmMain frmmain;

    
    public FrmXuatDSGV(FrmMain frmmain) {
        initComponents();
        this.frmmain=frmmain;
        hidden();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        pnltop = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){
                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg7.png"));

                g.drawImage(icon.getImage(),0 , 0, this.getWidth(), 94, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        jLabel1 = new javax.swing.JLabel();
        cbbloctheo = new javax.swing.JComboBox();
        cbbdieukien = new javax.swing.JComboBox();
        lbdieukien = new javax.swing.JLabel();
        lbhienthi = new javax.swing.JLabel();
        txtnoisinh = new javax.swing.JTextField();
        pnlbottom = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){
                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg7.png"));

                g.drawImage(icon.getImage(),0 , 0, this.getWidth(), 126, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        jLabel3 = new javax.swing.JLabel();
        cbbxuatra = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();
        txtnoiluufile = new javax.swing.JTextField();
        btnchooser = new javax.swing.JButton();
        btnxuat = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        table = new javax.swing.JTable();

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));

        pnltop.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 153), 1, true));

        jLabel1.setText("Lọc Theo:");

        cbbloctheo.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Tất Cả", "Nơi Sinh", "Năm Sinh", "Giới Tính" }));
        cbbloctheo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbbloctheoActionPerformed(evt);
            }
        });

        cbbdieukien.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbbdieukienActionPerformed(evt);
            }
        });

        lbdieukien.setText("Điều Kiện:");

        lbhienthi.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/xemdanhsach.png"))); // NOI18N
        lbhienthi.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbhienthi.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lbhienthiMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout pnltopLayout = new javax.swing.GroupLayout(pnltop);
        pnltop.setLayout(pnltopLayout);
        pnltopLayout.setHorizontalGroup(
            pnltopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnltopLayout.createSequentialGroup()
                .addGap(93, 93, 93)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbbloctheo, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(lbdieukien)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbbdieukien, javax.swing.GroupLayout.PREFERRED_SIZE, 153, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(14, 14, 14)
                .addComponent(txtnoisinh, javax.swing.GroupLayout.PREFERRED_SIZE, 154, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(lbhienthi)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        pnltopLayout.setVerticalGroup(
            pnltopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnltopLayout.createSequentialGroup()
                .addGap(33, 33, 33)
                .addGroup(pnltopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lbhienthi)
                    .addGroup(pnltopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(cbbloctheo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jLabel1)
                        .addComponent(cbbdieukien, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(lbdieukien)
                        .addComponent(txtnoisinh, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(33, Short.MAX_VALUE))
        );

        pnlbottom.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 153), 1, true));

        jLabel3.setText("Xuất Ra:");

        cbbxuatra.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Microsoft Excel", "Microsoft Word" }));
        cbbxuatra.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbbxuatraActionPerformed(evt);
            }
        });

        jLabel4.setText("Nơi Lưu File:");

        txtnoiluufile.setText("C:\\\\DanhSachHocSinh.xls");
        txtnoiluufile.setEnabled(false);

        btnchooser.setText("...");
        btnchooser.setEnabled(false);
        btnchooser.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnchooserActionPerformed(evt);
            }
        });

        btnxuat.setText("Xuất Danh Sách");
        btnxuat.setEnabled(false);
        btnxuat.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnxuatActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout pnlbottomLayout = new javax.swing.GroupLayout(pnlbottom);
        pnlbottom.setLayout(pnlbottomLayout);
        pnlbottomLayout.setHorizontalGroup(
            pnlbottomLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlbottomLayout.createSequentialGroup()
                .addGap(104, 104, 104)
                .addComponent(jLabel3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbbxuatra, javax.swing.GroupLayout.PREFERRED_SIZE, 169, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jLabel4)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(txtnoiluufile, javax.swing.GroupLayout.PREFERRED_SIZE, 335, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnchooser, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(41, 41, 41)
                .addComponent(btnxuat, javax.swing.GroupLayout.PREFERRED_SIZE, 140, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(223, Short.MAX_VALUE))
        );
        pnlbottomLayout.setVerticalGroup(
            pnlbottomLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlbottomLayout.createSequentialGroup()
                .addGap(24, 24, 24)
                .addGroup(pnlbottomLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(cbbxuatra, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4)
                    .addComponent(txtnoiluufile, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(btnchooser)
                    .addComponent(btnxuat, javax.swing.GroupLayout.DEFAULT_SIZE, 39, Short.MAX_VALUE))
                .addContainerGap(61, Short.MAX_VALUE))
        );

        table.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null, null, null, null},
            },
            new String [] {
                "Mã Giáo Viên", "Tên Giáo Viên", "Giới Tính", "Ngày Sinh", "Nơi Sinh", "Chuyên Môn", "Dân Tộc", "Tôn Giáo", "Số Điện Thoại"
            }
        ));
        jScrollPane1.setViewportView(table);

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(pnltop, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(pnlbottom, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(jScrollPane1)
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(pnltop, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 234, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(pnlbottom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 1185, Short.MAX_VALUE)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 466, Short.MAX_VALUE)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void cbbloctheoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbbloctheoActionPerformed
        hidden();
        switch(cbbloctheo.getSelectedIndex())
        {
            case 1:
                txtnoisinh.setVisible(true);
                lbdieukien.setVisible(true);
                lbdieukien.setText("Nơi Sinh:");
                txtnoiluufile.setText("C:\\DanhSachGiaoVienQue"+txtnoisinh.getText()+"."+GetDuoi());
                break;
            case 2:
                cbbdieukien.setVisible(true);
                lbdieukien.setVisible(true);
                cbbdieukien.removeAllItems();
                AddComBoBox();
                lbdieukien.setText("Năm Sinh:");
                txtnoiluufile.setText("C:\\DanhSachGiaoVienSinhNam"+cbbdieukien.getSelectedItem().toString()+"."+GetDuoi());
                break;
            case 3:
                cbbdieukien.setVisible(true);
                cbbdieukien.removeAllItems();
                cbbdieukien.addItem("Nam");cbbdieukien.addItem("Nữ");
                lbdieukien.setVisible(true);
                lbdieukien.setText("Giới Tính: ");
                txtnoiluufile.setText("C:\\DanhSachGiaoVien"+cbbdieukien.getSelectedItem().toString()+"."+GetDuoi());
                break;
        }

    }//GEN-LAST:event_cbbloctheoActionPerformed

    private void cbbdieukienActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbbdieukienActionPerformed
        switch(cbbloctheo.getSelectedIndex())
        {
            case 2:
                try {
                    txtnoiluufile.setText("C:\\DanhSachGiaoVienSinhNam"+cbbdieukien.getSelectedItem().toString()+"."+GetDuoi());
                } catch (Exception e) {
                }
                break;
            case 3:
                try {
                    txtnoiluufile.setText("C:\\DanhSachGiaoVien"+cbbdieukien.getSelectedItem().toString()+"."+GetDuoi());
                } catch (Exception e) {
                }
                
        }
    }//GEN-LAST:event_cbbdieukienActionPerformed

    private void lbhienthiMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbhienthiMouseClicked
        switch(cbbloctheo.getSelectedIndex())
        {
            case 0:
                table.setModel(new DefaultTableModel(getDatatable(),getColumnTable()));
                break;
            case 1:
                txtnoiluufile.setText("C:\\DanhSachGiaoVienQue"+txtnoisinh.getText()+"."+GetDuoi());
                table.setModel(new DefaultTableModel(getDatatable(txtnoisinh.getText().toLowerCase()),getColumnTable()));
                break;
            case 2:
                table.setModel(new DefaultTableModel(getDatatable(cbbdieukien.getSelectedItem().toString(),1),getColumnTable()));
                break;
            case 3:
                table.setModel(new DefaultTableModel(getDatatable(cbbdieukien.getSelectedItem().toString(),2),getColumnTable()));
        }
        if(!btnxuat.isEnabled())
        {
            btnxuat.setEnabled(true);
            btnchooser.setEnabled(true);
        }
    }//GEN-LAST:event_lbhienthiMouseClicked

    private void cbbxuatraActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbbxuatraActionPerformed
        try {
            txtnoiluufile.setText(removeDuoi(txtnoiluufile.getText())+"."+GetDuoi());
        } catch (Exception e) {
        }
    }//GEN-LAST:event_cbbxuatraActionPerformed

    private void btnchooserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnchooserActionPerformed
        JFileChooser fc = new JFileChooser();
        FileNameExtensionFilter filter = new FileNameExtensionFilter(cbbxuatra.getSelectedItem().toString(),GetDuoi());
        fc.setFileFilter(filter);
        fc.setSelectedFile(new File(txtnoiluufile.getText()));
        int returnVal = fc.showOpenDialog(null);
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            File file = fc.getSelectedFile();
            txtnoiluufile.setText(file.getPath());
        }
    }//GEN-LAST:event_btnchooserActionPerformed

    private void btnxuatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnxuatActionPerformed
        if(table.getRowCount()==0)
            JOptionPane.showMessageDialog(null, "Không Có Dữ Liệu");
        else
            XuatDanhSachGiaoVien();
        
    }//GEN-LAST:event_btnxuatActionPerformed
    private String removeDuoi(String Duoi)
    {
        Duoi=Duoi.replace(".xls", "");
        Duoi=Duoi.replace(".doc", "");
        return Duoi;
    }
    private void hidden()
    {
        cbbdieukien.setVisible(false);
        lbdieukien.setVisible(false);
        txtnoisinh.setVisible(false);
        txtnoiluufile.setText("C:\\DanhSachGiaoVien."+GetDuoi());
    }
    private void AddComBoBox()
    {
        Calendar calendar = Calendar.getInstance();
        for(int i=1950;i<calendar.get(Calendar.YEAR);i++)
            cbbdieukien.addItem(i);
    }
    private String GetDuoi()
    {
        if(cbbxuatra.getSelectedIndex()==0)
            return "xls";
        return "doc";
    }
    //Tạo Comlumn table
    private Vector getColumnTable()
    {
        Vector Comlumn=new Vector();
        Comlumn.add("Mã Giáo Viên");
        Comlumn.add("Tên Giáo Viên");
        Comlumn.add("Giới Tính");
        Comlumn.add("Ngày Sinh");
        Comlumn.add("Nơi Sinh");
        Comlumn.add("Chuyên Môn");
        Comlumn.add("Dân Tộc");
        Comlumn.add("Tôn Giáo");
        Comlumn.add("Số Điện Thoại");
        return Comlumn;
    }
    private Vector getDatatable()
    {
        Vector row=new Vector();
        Vector dr;
        
        
        for(GiaoVienDAL gv : frmmain.giaovien.getArrayGV())
        {
            dr=new Vector();
            dr.add(gv.getMaGV());
            dr.add(gv.getHoTen());
            dr.add((gv.isGioiTinh())?"Nam":"Nữ");
            dr.add(gv.getNgaySinh());
            dr.add(gv.getNoiSinh());
            dr.add(gv.getMaMonHoc());
            dr.add(gv.getDanToc());
            dr.add(gv.getTonGiao());
            dr.add(gv.getDienThoai());
            row.add(dr);
        }
        
        return row;
    }
    private Vector getDatatable(String NoiSinh)
    {
        Vector row=new Vector();
        Vector dr;
        
        
        for(GiaoVienDAL gv : frmmain.giaovien.getArrayGV())
        {
            if(gv.getNoiSinh().toLowerCase().indexOf(NoiSinh)!=-1)
            {
                dr=new Vector();
                dr.add(gv.getMaGV());
                dr.add(gv.getHoTen());
                dr.add((gv.isGioiTinh())?"Nam":"Nữ");
                dr.add(gv.getNgaySinh());
                dr.add(gv.getNoiSinh());
                dr.add(gv.getMaMonHoc());
                dr.add(gv.getDanToc());
                dr.add(gv.getTonGiao());
                dr.add(gv.getDienThoai());
                row.add(dr);
            }
        }
        
        return row;
    }
    private Vector getDatatable(String NamSinh,int i)
    {
        Vector row=new Vector();
        Vector dr;
        
        
        for(GiaoVienDAL gv : frmmain.giaovien.getArrayGV())
        {
            if((i==1 && gv.getNgaySinh().indexOf(NamSinh)!=-1) || (i==2 && gv.isGioiTinh()==(NamSinh.equals("Nam")?true:false)))
            {
                dr=new Vector();
                dr.add(gv.getMaGV());
                dr.add(gv.getHoTen());
                dr.add((gv.isGioiTinh())?"Nam":"Nữ");
                dr.add(gv.getNgaySinh());
                dr.add(gv.getNoiSinh());
                dr.add(gv.getMaMonHoc());
                dr.add(gv.getDanToc());
                dr.add(gv.getTonGiao());
                dr.add(gv.getDienThoai());
                row.add(dr);
            }
        }
        
        return row;
    }
    private void XuatDanhSachGiaoVien()
    {
        try {
            byte[] bom = new byte[] { (byte)0xEF, (byte)0xBB, (byte)0xBF }; 
            FileOutputStream fout = new FileOutputStream(txtnoiluufile.getText().trim());
            fout.write(bom);
            OutputStreamWriter bw = new OutputStreamWriter(fout, "UTF-8");
            PrintWriter printWriter = new PrintWriter(bw);
            printWriter.print("\n");
            printWriter.print(getHTML());
            bw.close();
            int result = JOptionPane.showConfirmDialog(null, "Xuất Danh Sách Giáo Viên Thành Công.\nBạn Có Muốn Mở File Vừa Xuất?", "Thông Báo", JOptionPane.YES_NO_OPTION);
            if (result == JOptionPane.YES_OPTION)
            {
                Runtime runtime = Runtime.getRuntime();
                Process process =runtime.exec("cmd /c start "+txtnoiluufile.getText().trim());
            }
        } catch (Exception e) {
            if(e.getMessage().indexOf("(Access is denied)")!=-1)
                JOptionPane.showMessageDialog(null, "Không thể lưu dữ liệu vào Ổ Đĩa "+txtnoiluufile.getText().substring(0, 1)+". Vui lòng chọn ổ khác");
            else
                JOptionPane.showMessageDialog(null, e.getMessage());
        }
        
    }
    private String getHTML()
    {
        StringBuilder sb=new StringBuilder();
        sb.append(getHeader());
        sb.append("<caption><center><h2><br><b>"+getTieuDe()+"</b><br></h2></center></caption>");
        sb.append("<tr>");
        sb.append("<th>Mã Giáo Viên</th>");
        sb.append("<th>Tên Giáo Viên</th>");
        sb.append("<th>Giới Tính</th>");
        sb.append("<th>Ngày Sinh</th>");
        sb.append("<th>Nơi Sinh</th>");
        sb.append("<th>Chuyên Môn</th>");
        sb.append("<th>Dân Tộc</th>");
        sb.append("<th>Tôn Giáo</th>");
        sb.append("<th>Số Điện Thoại</th>");
        sb.append("</tr>");
        for(int i=0;i<table.getRowCount();i++)
        {
            sb.append("<tr>");
            for(int j=0;j<9;j++)
            {
                sb.append("<td>"+table.getValueAt(i, j).toString()+"</td>");
            }
            sb.append("</tr>");
        }
        sb.append(getFooter());
        return sb.toString();
    }
    private String getHeader()
    {
        if(cbbxuatra.getSelectedIndex()==1)
            return "<html><meta charset='utf-8' /><style>table tr td,table th{border:1px solid #000;padding:3px}table{margin-top:30px}</style>"
                    + "<div style='width:100%;text-align:center'>"
                    + "<div style='width'900px;margin:0px auto;text-align:left;padding:10px'>"
                    + "<table width='900' cellspacing='0' cellpadding='0'>";
        else
            return "<html><meta charset='utf-8' /><table border='1' style='font-family:tahoma' cellpadding='3'>";
    }
    private String getFooter()
    {
        if(cbbxuatra.getSelectedIndex()==1)
            return "</table></div></div></html>";
        else
            return "</table></html>";
    }
    private String getTieuDe()
    {
        switch(cbbloctheo.getSelectedIndex())
        {
            case 0:
                return "DANH SÁCH GIÁO VIÊN";
            case 1:
                return "DANH SÁCH GIÁO VIÊN QUÊ "+txtnoisinh.getText().toUpperCase();
            case 2:
                return "DANH SÁCH GIÁO VIÊN SINH NĂM "+cbbdieukien.getSelectedItem().toString();
            case 3:
                return "DANH SÁCH GIÁO VIÊN "+cbbdieukien.getSelectedItem().toString().toUpperCase();
            default:
                return "";
        }
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnchooser;
    private javax.swing.JButton btnxuat;
    private javax.swing.JComboBox cbbdieukien;
    private javax.swing.JComboBox cbbloctheo;
    private javax.swing.JComboBox cbbxuatra;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel lbdieukien;
    private javax.swing.JLabel lbhienthi;
    private javax.swing.JPanel pnlbottom;
    private javax.swing.JPanel pnltop;
    private javax.swing.JTable table;
    private javax.swing.JTextField txtnoiluufile;
    private javax.swing.JTextField txtnoisinh;
    // End of variables declaration//GEN-END:variables
}
